xenial/arm64 - no system-settings/about panel

Bug #1618157 reported by Jean-Baptiste Lallement on 2016-08-29
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Bill Filler
ubuntu-system-settings (Ubuntu)
Undecided
You-Sheng Yang

Bug Description

ubuntu-touch/staging/ubuntu/frieza_arm64 21

There is no "about" panel in system settings (and launching it from the system indicator just launches and closes immediately system-settings) As a result it is not possible to enable dev mode from the UI and access the device through adb.

Related branches

Changed in canonical-devices-system-image:
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Bill Filler (bfiller)
milestone: none → xenial
Jonas G. Drange (jonas-drange) wrote :

Is System Settings crashing or is System Settings/About crashing?

Changed in ubuntu-system-settings (Ubuntu):
status: New → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

nothing crashes, the section is just not there. The logs of u-s-s contain:

Loading module: 'libubuntu_application_api_touch_mirclient.so.3.0.0'
qml: Page_QMLTYPE_9(0x1b50b880, "systemSettingsPage")"System Settings": In Ubuntu.Components 1.3, the use of Page.title, Page.flickable and Page.head is deprecated. Use Page.header and the PageHeader component instead.
2016-08-30 12:19:03,532 - WARNING - Got invalid serialized mime data. Ignoring it.
2016-08-30 12:19:03,881 - WARNING - Last frame took 110 ms to render.

Changed in ubuntu-system-settings (Ubuntu):
status: Incomplete → New
You-Sheng Yang (vicamo) wrote :
Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Vicamo Yang (vicamo)
Changed in ubuntu-system-settings (Ubuntu):
status: New → In Progress
Changed in canonical-devices-system-image:
status: Confirmed → Fix Committed
Bin Li (binli) wrote :

In ubuntu-touch/staging/ubuntu/frieza_arm64 34, it was still had this issue.
And checked the version, it's not the 0.4+16.04.20160906-0ubuntu1yet.
$ dpkg -s ubuntu-system-settings
....
Version: 0.4+16.04.20160831.1-0ubuntu1

$ system-image-cli -i
current build number: 34
device name: frieza_arm64
channel: ubuntu-touch/staging/ubuntu
last update: 2016-09-12 10:13:44
version version: 34
version ubuntu: 20160910
version device: 20160906.0
version custom: 20160910

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.4+16.10.20160906-0ubuntu1

---------------
ubuntu-system-settings (0.4+16.10.20160906-0ubuntu1) yakkety; urgency=medium

  [ You-Sheng Yang ]
  * Build about plugin on arm64. (LP: #1618157)

 -- <email address hidden> (Jonas G. Drange) Tue, 06 Sep 2016 10:49:49 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers